SDL_HINT_NO_SIGNAL_HANDLERS(3)

NAME
SDL_HINT_NO_SIGNAL_HANDLERS - Tell SDL not to catch the SIGINT or SIGTERM signals on POSIX platforms.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_NO_SIGNAL_HANDLERS "SDL_NO_SIGNAL_HANDLERS"

DESCRIPTION
The variable can be set to the following values:

• "0": SDL will install a SIGINT and SIGTERM handler, and when it catches a signal, convert it into an SDL_EVENT_QUIT event. (default)

• "1": SDL will not install a signal handler at all.

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.